M_ActivityLeiChongCFG = {}

function M_ActivityLeiChongCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityLeiChongCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Dsc = "累计充值10元", CompleteType = 56, CompleteCount = 10, AwardItemIDs = {1,16,155}, AwardItemCounts = {70000,30,1}}
	self.datas[2] = {ID = 2, Dsc = "累计充值50元", CompleteType = 56, CompleteCount = 50, AwardItemIDs = {1,16,155}, AwardItemCounts = {280000,50,3}}
	self.datas[3] = {ID = 3, Dsc = "累计充值100元", CompleteType = 56, CompleteCount = 100, AwardItemIDs = {1,16,155}, AwardItemCounts = {350000,100,8}}
	self.datas[4] = {ID = 4, Dsc = "累计充值200元", CompleteType = 56, CompleteCount = 200, AwardItemIDs = {1,24,54}, AwardItemCounts = {600000,1,1}}
	self.datas[5] = {ID = 5, Dsc = "累计充值500元", CompleteType = 56, CompleteCount = 500, AwardItemIDs = {1,26,54}, AwardItemCounts = {1100000,1,2}}
	self.datas[6] = {ID = 6, Dsc = "累计充值1000元", CompleteType = 56, CompleteCount = 1000, AwardItemIDs = {1,26,54}, AwardItemCounts = {2500000,1,5}}
	self.datas[7] = {ID = 7, Dsc = "累计充值2500元", CompleteType = 56, CompleteCount = 2500, AwardItemIDs = {1,27,1007}, AwardItemCounts = {6500000,1,1}}
	self.datas[8] = {ID = 8, Dsc = "累计充值5000元", CompleteType = 56, CompleteCount = 5000, AwardItemIDs = {1,96,1007}, AwardItemCounts = {8000000,1,2}}
	self.datas[9] = {ID = 9, Dsc = "累计充值10000元", CompleteType = 56, CompleteCount = 10000, AwardItemIDs = {1,96,1151}, AwardItemCounts = {26000000,2,1}}
end

M_ActivityLeiChongCFG:init()
